﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=2.9
@EndOfDesignText@
'Class module
Private Sub Class_Globals
	Private gWindowWidth As Int = 400
	Private gWindowHeight As Int = 400

	Private fx As JFX
	Private frm As Form	
	Private btnSettingsOK As Button
	Private btnSettingsCancel As Button
	Private tfB4ACoreLibraryPath As TextField
	Private tfB4AAddLibraryPath As TextField
	Private tfB4JCoreLibraryPath As TextField
	Private tfB4JAddLibraryPath As TextField
	Private tfB4ICoreLibraryPath As TextField
	Private tfB4IAddLibraryPath As TextField
	Private cbUseHTMLViewer As CheckBox

	Public	Result As Boolean
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	'Init the form and give the form a title and make it a utility form (toolbox type of form)
	frm.Initialize("frm", gWindowWidth, gWindowHeight)
	frm.Resizable = False
	frm.SetFormStyle("UTILITY")
	frm.RootPane.LoadLayout("Settings")
	'
	ClassInit
End Sub

'Init the class with specifics that are not public
Private Sub ClassInit
	cbUseHTMLViewer.Checked		= Main.AppIni.getKey("UseHTMLViewer", True)
	tfB4ACoreLibraryPath.Text	= Main.AppIni.getKey("B4ACoreLibraryPath", "")
	tfB4AAddLibraryPath.Text 	= Main.AppIni.getKey("B4AAddLibraryPath", "")
	tfB4JCoreLibraryPath.Text 	= Main.AppIni.getKey("B4JCoreLibraryPath", "")
	tfB4JAddLibraryPath.Text 	= Main.AppIni.getKey("B4JAddLibraryPath", "")
	tfB4ICoreLibraryPath.Text	= Main.AppIni.getKey("B4ICoreLibraryPath", "")
	tfB4IAddLibraryPath.Text 	= Main.AppIni.getKey("B4IAddLibraryPath", "")
End Sub

Public Sub Show As Boolean
	frm.Title = "Settings"
	frm.WindowWidth = gWindowWidth
	frm.WindowHeight = gWindowHeight
	frm.ShowAndWait
	Return Result
End Sub

Private Sub btnSettingsOK_Action
	'Save the settings and close
	Main.AppIni.putKey("UseHTMLViewer", 		cbUseHTMLViewer.Checked)
	Main.AppIni.putKey("B4ACoreLibraryPath",	tfB4ACoreLibraryPath.Text)
	Main.AppIni.putKey("B4AAddLibraryPath",		tfB4AAddLibraryPath.Text)
	Main.AppIni.putKey("B4JCoreLibraryPath",	tfB4JCoreLibraryPath.Text)
	Main.AppIni.putKey("B4JAddLibraryPath", 	tfB4JAddLibraryPath.Text)
	Main.AppIni.putKey("B4ICoreLibraryPath", 	tfB4ICoreLibraryPath.Text)
	Main.AppIni.putKey("B4IAddLibraryPath", 	tfB4IAddLibraryPath.Text)
	'
	Result = True
	frm.Close	
End Sub

Private Sub btnSettingsCancel_Action
	Result = False
	'Close without updating the settings
	frm.Close	
End Sub

'
'Select the path
'

'Select a path and assign to a textfield
Private Sub SelectPath(title As String, tf As TextField)
	Dim dc As DirectoryChooser
	dc.Initialize
	dc.title = title	'"Select B4J Core Library
	Dim folder As String = dc.Show(frm)
	If folder.Length > 0 Then tf.Text = folder
End Sub

'
Private Sub tfB4ACoreLibraryPath_MouseClicked (EventData As MouseEvent)
	If EventData.ClickCount = 2 Then
		SelectPath("Select B4A Core Library", tfB4ACoreLibraryPath)
	End If
End Sub

Private Sub tfB4AAddLibraryPath_MouseClicked (EventData As MouseEvent)
	If EventData.ClickCount = 2 Then
		SelectPath("Select B4A Additional Library", tfB4AAddLibraryPath)
	End If
End Sub

Private Sub tfB4JCoreLibraryPath_MouseClicked (EventData As MouseEvent)
	If EventData.ClickCount = 2 Then
		SelectPath("Select B4J Core Library", tfB4JCoreLibraryPath)
	End If
End Sub

Private Sub tfB4JAddLibraryPath_MouseClicked (EventData As MouseEvent)
	If EventData.ClickCount = 2 Then
		SelectPath("Select B4J Additional Library", tfB4JAddLibraryPath)
	End If
End Sub

Private Sub tfB4ICoreLibraryPath_MouseClicked (EventData As MouseEvent)
	If EventData.ClickCount = 2 Then
		SelectPath("Select B4i Core Library", tfB4ICoreLibraryPath)
	End If
End Sub

Private Sub tfB4IAddLibraryPath_MouseClicked (EventData As MouseEvent)
	If EventData.ClickCount = 2 Then
		SelectPath("Select B4i Additional Library", tfB4IAddLibraryPath)
	End If
End Sub

